BLK_ADD_TRACE_BIO_RE(9)

NAME
blk_add_trace_bio_remap - Add a trace for a bio-remap operation

SYNOPSIS

void blk_add_trace_bio_remap(void * ignore, struct request_queue * q, struct bio * bio, dev_t dev, sector_t from);

ARGUMENTS

ignore
    trace callback data parameter (not used)

q
    queue the io is for

bio
    the source bio

dev
    target device

from
    source sector

DESCRIPTION

Device mapper or raid target sometimes need to split a bio because it spans a stripe (or similar). Add a trace for that action.

COPYRIGHT